using System;

namespace ExternalDependency
{
    public class ShippingCalculator
    {
        private readonly DBGateway _dbGateway;

        public ShippingCalculator()
        {
            _dbGateway = new DBGateway();
        }

        public virtual decimal CalculateShippingCosts(Order order)
        {
            // Hits Oracle (yikes!)
            _dbGateway.GetShippingCosts();

            //probably 500 lines of massive switch statements, if blocks, etc.
            return 30.0m;
        }
    }
}