namespace ExternalDependency
{
    public class Order
    {
        private readonly ITaxService _taxService;
        private readonly ShippingCalculator _shippingCalculator;

        public Order() : this(new TaxService(), new ShippingCalculator())
        {
            _shippingCalculator = new ShippingCalculator();
        }

        public Order(ITaxService taxService, ShippingCalculator shippingCalculator)
        {
            _taxService = taxService;
            _shippingCalculator = shippingCalculator;
        }

        public decimal DiscountAmount { get; set; }

        protected virtual ShippingCalculator ShippingCalculator
        {
            get
            {
                return _shippingCalculator;
            }
        }

        public decimal CalculateTotal()
        {
            decimal subTotal = CalculateSubTotal();

            decimal total = subTotal - DiscountAmount;

            return total;
        }

        protected decimal CalculateSubTotal()
        {
            decimal itemTotal = GetItemTotal();
            decimal shippingTotal = ShippingCalculator.CalculateShippingCosts(this);
            decimal taxTotal = _taxService.GetTaxAmount(this);
            taxTotal = taxTotal < 0 ? 0 : taxTotal;

            return itemTotal + shippingTotal + taxTotal;
        }

        #region Important stuff we really, really need!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        // need this stuff!
        #endregion

        #region Private Methods

        protected decimal GetItemTotal()
        {
            return 126.45m; 
        }

        #endregion
    }
}